Bug 648297 - gnutls: incorrect safe renegotiation special keyword documentation in gnutls_priority_init.3
Summary: gnutls: incorrect safe renegotiation special keyword documentation in gnutls_...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: gnutls
Version: 6.0
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: rc
: ---
Assignee: Tomas Mraz
QA Contact: Jiri Jaburek
URL:
Whiteboard:
Depends On:
Blocks: 836160
TreeView+ depends on / blocked
 
Reported: 2010-10-31 21:55 UTC by Tomas Hoger
Modified: 2013-02-21 10:33 UTC (History)
2 users (show)

Fixed In Version: gnutls-2.8.5-8.el6
Doc Type: Bug Fix
Doc Text:
Just a fix of the manual page - probably no need to document in errata text.
Clone Of:
Environment:
Last Closed: 2013-02-21 10:33:05 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2013:0425 normal SHIPPED_LIVE gnutls bug fix update 2013-02-20 20:49:20 UTC

Description Tomas Hoger 2010-10-31 21:55:23 UTC
Description of problem:
The gnutls-2.8.5-safe-renegotiation.patch patch adds RFC 5746 support.  Behaviour of the safe renegotiation is controlled via special keywords in priority string.  Those special keywords are documented in couple of man pages - gnutls-cli.1, gnutls-serv.1 and gnutls_priority_init.3.

The patch adds correct documentation to gnutls-cli.1 and gnutls-serv.1, but keywords and description added to the gnutls_priority_init.3 is incorrect, listing "development" keywords that were changed / removed before the final release (%INITIAL_SAFE_RENEGOTIATION was removed, %SAFE_RENEGOTIATION semantic was changed).

Note: gnutls_priority.c code comment was updated to use final keywords, though it lists one incorrect keyword - %PARTIAL_SAFE_RENEGOTIATION instead of the %PARTIAL_RENEGOTIATION.  This problem was later corrected upstream in 2.10.x.

Version-Release number of selected component (if applicable):
gnutls-2.8.5-4.el6

Additional info:
gnutls-serv.1 seems to have additional problem with quoting of '!', '-', '+', '%COMPAT' in the special keywords section, causing their description not to be shown when viewing man page.

Comment 2 RHEL Product and Program Management 2011-01-07 15:38:14 UTC
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unfortunately unable to
address this request at this time. Red Hat invites you to
ask your support representative to propose this request, if
appropriate and relevant, in the next release of Red Hat
Enterprise Linux. If you would like it considered as an
exception in the current release, please ask your support
representative.

Comment 4 Suzanne Yeghiayan 2012-02-14 23:04:14 UTC
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unfortunately unable to
address this request at this time. Red Hat invites you to
ask your support representative to propose this request, if
appropriate and relevant, in the next release of Red Hat
Enterprise Linux. If you would like it considered as an
exception in the current release, please ask your support
representative.

Comment 9 errata-xmlrpc 2013-02-21 10:33:05 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2013-0425.html


Note You need to log in before you can comment on or make changes to this bug.